<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateJabatanInstansisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
public function up()
{
    Schema::create('jabatan_instansis', function (Blueprint $table) {
        $table->id();

        $table->unsignedBigInteger('instansi_id');
        $table->unsignedBigInteger('user_id')->nullable();

        $table->string('nama_unit'); // contoh: Bidang Pendayagunaan
        $table->string('jabatan');   // contoh: Ketua, Manager, Anggota

        $table->unsignedBigInteger('parent_id')->nullable();

        $table->timestamps();

        // FK
        $table->foreign('instansi_id')
            ->references('id')->on('instansis')
            ->onDelete('cascade');

        $table->foreign('user_id')
            ->references('id')->on('users')
            ->onDelete('set null');

        $table->foreign('parent_id')
            ->references('id')->on('jabatan_instansis')
            ->onDelete('set null');
    });
}

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('jabatan_instansis');
    }
}
